[zeromq-dev] Backwards compatibility?

Martin Sustrik sustrik at 250bpm.com
Thu May 27 10:05:26 CEST 2010


gonzalo diethelm wrote:
>> From the emails exchanged yesterday on the mailing list, I understand
>> that the ZMQ API will change between release 2.0.6 and the next one.
>> (I am talking about the LWM setsockopt() call). This could generate
>> trouble for application(s) using this call.
> 
> Perhaps it would be appropriate to name the next version 2.1 instead of
> 2.0.7 (even if it is still a beta).

Actually, the fact of breaking backward compatibility (such as removing 
LWN option) should result in major version bump... 3.0, 4.0.

What I dear though is getting to 35.0 pretty quickly :)

Martin




More information about the zeromq-dev mailing list